Bug 218904 - network manager is severely broken when selecting when network to connect too.
network manager is severely broken when selecting when network to connect too.
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2006-12-08 01:10 EST by Rodd Clarkson
Modified: 2008-04-05 18:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-05 18:59:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2006-12-08 01:10:16 EST
Description of problem:

Sorry if the summary sounds too harsh, but this is a pet peeve of mine and I'm
finally filing a bug about it.

When I resume my laptop after suspending it (or when I start it up), network
manager attempts to connect to a wireless connection.  This is fine.

Unfortunately for me, I have wireless and so does my neighbor.  His essid is
called 'AvocaCourt' and mine is called 'tundra' so each time network manager
tries to connect, it tries to connect to my neighbors, instead of mine.


Why doesn't network manager try to connect to the last network it was connected
to when it resumes the connection?

Why can't I set the default network using network manager tools (maybe by right
clicking on a network option and selecting "Use as default".?
Comment 1 Bug Zapper 2008-04-04 01:09:14 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Rodd Clarkson 2008-04-05 18:59:36 EDT
While some work needs still needs to be done to resolve being able to control
what networks NM tries to connect to and in what order, this particular bug no
longer seems to be an issue.

Note You need to log in before you can comment on or make changes to this bug.